Bug 231932 - Debug info doesn't show up in sysprof
Debug info doesn't show up in sysprof
Status: CLOSED NOTABUG
Product: Fedora
Classification: Fedora
Component: xorg-x11-server (Show other bugs)
6
i386 Linux
medium Severity low
: ---
: ---
Assigned To: X/OpenGL Maintenance List
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2007-03-12 22:38 EDT by Rui Matos
Modified: 2007-11-30 17:11 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-03-13 02:00:12 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
sysprof profile demonstrating the problem (152.73 KB, application/x-gzip)
2007-03-12 22:38 EDT, Rui Matos
no flags Details

  None (edit)
Description Rui Matos 2007-03-12 22:38:02 EDT
Description of problem:
While doing some profiles I noticed that sysprof doesn't display the debuginfo
for the X server although I have xorg-x11-server-debuginfo-1.1.1-47.7.fc6
installed. I'm filling this on xorg-x11-server and not on sysprof since for
other packages it seems to be working (gtk, pango, etc.)

Version-Release number of selected component (if applicable):
xorg-x11-server-debuginfo-1.1.1-47.7.fc6
sysprof-1.0.8-1.fc6

How reproducible:
Always

I'm attaching a sysprof profile where one can see that X show up as only:

??? [/usr/bin/Xorg]
Comment 1 Rui Matos 2007-03-12 22:38:03 EDT
Created attachment 149896 [details]
sysprof profile demonstrating the problem
Comment 2 Rui Matos 2007-03-12 22:56:36 EDT
It seems that /usr/bin/Xorg has some strict permission bits:

-rws--x--x 1 root root 1820836 Fev 28 21:34 /usr/bin/Xorg

which would explain why sysprof can't read the data. But still, after I changed
those bits to:

-rwsr-xr-x 1 root root 1820836 Fev 28 21:34 /usr/bin/Xorg

I still don't obtain X info on profiles.
Comment 3 Søren Sandmann Pedersen 2007-03-13 02:00:12 EDT
Sysprof also needs the ability to read /proc/<pid-of-xserver>/maps, so you have
to run it as root to get information about the X server.

(But we should stop installing the X server binary read-only - those bits are
not exactly secret ...)

Note You need to log in before you can comment on or make changes to this bug.